#include <allegro.h>

int main(void)
{
    int i;

    allegro_init();

    install_keyboard();

    if (set_gfx_mode(GFX_AUTODETECT, 320, 200, 0, 0) < 0) {
	allegro_message("Couldn't set gfx mode: %s\n", allegro_error);
	exit(1);
    }
    for (i = 0; i < 32000; i++) {
	putpixel(screen, rand() % SCREEN_W, rand() % (SCREEN_H / 2), rand() % 256);
    }

    for (i = 0; i < 100; i += 10) {
	text_mode(i / 10 + 1);
	textout(screen, font, "Text output, colored background", i, i, 0);
    }

    for (i = 0; i < 50; i += 10) {
	text_mode(i / 10 + 2);
	textout_centre(screen, font, "Centered text", SCREEN_W / 2, 5 + i, 0);
    }

    text_mode(-1);
    rectfill(screen, 0, 105, SCREEN_W - 1, SCREEN_H - 1, 16);

    for (i = 0; i < 100; i += 10)
	textout(screen, font, "Text output, transparent background", i, 105 + i, i / 10 + 1);

    for (i = 0; i < 50; i += 10)
	textout_centre(screen, font, "Centered text", SCREEN_W / 2, 110 + i, i / 10 + 1);

    readkey();

    return 0;
}
END_OF_MAIN()

