#include <allegro.h>

int main(void)
{
    RGB colour;

    allegro_init();

    install_keyboard();

    if (set_gfx_mode(GFX_AUTODETECT, 320, 200, 0, 0) < 0) {
	allegro_message("Couldn't set gfx mode: %s\n", allegro_error);
	exit(1);
    }
    text_mode(-1);

    rectfill(screen, 0, 0, SCREEN_W - 1, SCREEN_H - 1, 1);
    rectfill(screen, 15, 15, SCREEN_W - 16, SCREEN_H - 16, 0);
    textout_centre(screen, font,
		   "Press ESC to exit, other to change color",
		   SCREEN_W / 2, SCREEN_H / 2, 15);

    while (key[KEY_ESC] == 0) {
	// This sets some random color values
	colour.r = rand() % 64;
	colour.g = rand() % 64;
	colour.b = rand() % 64;
	vsync();
	set_color(0, &colour);
	readkey();
    }

    return 0;
}
END_OF_MAIN()

